<!DOCTYPE HTML>
<html>

<head>
  <meta charset="UTF-8">
  <title>Title</title>
</head>

<body>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js">
  </script>
  <script src="./node_modules/underscore/underscore-min.js">
  </script>
  <script src="./node_modules/backbone/backbone-min.js">
  </script>
  <script>
    var Todo = Backbone.Model.extend({
      // Default todo attribute values
      defaults: {
        title: '',
        completed: false
      },
      initialize: function() {
        console.log('This model has been initialized.');
        this.on('change', function() {
          console.log('- Values for this model have changed.');
        });
      }
    });

    var myTodo = new Todo();
    myTodo.set('title', 'Đi học Odoo.');
    console.log('Title has changed: ' + myTodo.get('title'));
  </script>
</body>

</html>
